using System;

namespace takmicenje
{
    class Program
    {
        static bool isti(string r)
        {
            for(int i = 0; i < r.Length - 1; i++)
            {
                if (r[i] == r[i + 1]) return true;
            }
            return false;
        }
        static void Main(string[] args)
        {
            string a = Console.ReadLine();

            string[] b = Console.ReadLine().Split();
            int a1 = int.Parse(b[0]);
            int a2 = int.Parse(b[1]);
            string r = "";
            if (Math.Abs(a1 - a2) <= 1)
            {
                for (int i = 0; i < (a1 + a2) / 2; i++)
                {
                    r += a;
                }
                if (isti(r) == true)
                {
                    Console.WriteLine("nemoguce");
                }
                else
                {
                    Console.WriteLine(r);
                }
            }
            else
            {
                Console.WriteLine("nemoguce");
            }

        }
    }
}